Package org.apache.torque.om

## Class ComboKeyTest

- java.lang.Object
- - org.apache.torque.BaseTestCase
  - - org.apache.torque.om.ComboKeyTest

-     public class ComboKeyTest
      extends BaseTestCase

  TestCase for ComboKey
  Version:
    $Id: ComboKeyTest.java 1855056 2019-03-08 17:26:27Z tv $
  Author:
    J. Russell Smyth

- - ### Field Summary

    - ### Fields inherited from class org.apache.torque.BaseTestCase

      `CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, stringColumnMap2, stringColumnMap3, tableMap`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComboKeyTest()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `testAppendTo()` | Test of appendTo method, of class org.apache.torque.om.ComboKey.
    `void` | `testNotEqual()` |
    `void` | `testNull()` |
    `void` | `testReflexive()` |
    `void` | `testRoundTripWithComplexKey()` |
    `void` | `testRoundTripWithNullKey()` |
    `void` | `testRoundTripWithStringKeys()` |
    `void` | `testSymmetric()` |
    `void` | `testToString()` | Test of toString method, of class org.apache.torque.om.ComboKey.

    - ### Methods inherited from class org.apache.torque.BaseTestCase

      `setUp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComboKeyTest

          public ComboKeyTest()

  - ### Method Detail

    - #### testReflexive

          @Test
          public void testReflexive()

    - #### testSymmetric

          @Test
          public void testSymmetric()

    - #### testNull

          public void testNull()

    - #### testNotEqual

          @Test
          public void testNotEqual()

    - #### testRoundTripWithStringKeys

          @Test
          public void testRoundTripWithStringKeys()

    - #### testRoundTripWithComplexKey

          @Test
          public void testRoundTripWithComplexKey()

    - #### testRoundTripWithNullKey

          @Test
          public void testRoundTripWithNullKey()

    - #### testAppendTo

          @Test
          public void testAppendTo()

      Test of appendTo method, of class org.apache.torque.om.ComboKey.

    - #### testToString

          @Test
          public void testToString()

      Test of toString method, of class org.apache.torque.om.ComboKey.